Index: locales/de/main.po
===================================================================
--- locales/de/main.po	(revision 2666)
+++ locales/de/main.po	(revision 1836)
@@ -674,5 +674,5 @@
 msgstr "Eintrag existiert nicht."
 
-msgid "No comments"
+msgid "No comment"
 msgstr "Kein Kommentar"
 
@@ -2600,5 +2600,5 @@
 
 #, php-format
-msgid "Unable to upgrade \"%s\". (older or same version)"
+msgid "Unable to upgrade \"%s\". (same version)"
 msgstr "Untauglich zum Aktualisieren \"%s\". (gleiche Version)"
 
Index: locales/de/plugins.po
===================================================================
--- locales/de/plugins.po	(revision 1668)
+++ locales/de/plugins.po	(revision 2687)
@@ -7,14 +7,13 @@
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2011-11-13 15:13+0100\n"
-"PO-Revision-Date: 2010-08-09 19:49-0000\n"
-"Last-Translator: ben_griffith <ben_griffith@topmail.co.uk>\n"
+"PO-Revision-Date: 2014-03-29 17:10+0100\n"
+"Last-Translator: llune <luce@carevic.eu>\n"
 "Language-Team: \n"
-"Language: \n"
+"Language: de_DE\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: German\n"
-"X-Poedit-Country: GERMANY\n"
 "X-Poedit-SourceCharset: utf-8\n"
+"X-Generator: Poedit 1.6.4\n"
 
 msgid "no"
@@ -22,5 +21,5 @@
 
 msgid "yes"
-msgstr ""
+msgstr "ja"
 
 msgid "Configuration successfully updated"
@@ -40,8 +39,8 @@
 
 msgid "Goto:"
-msgstr ""
+msgstr "Gehe zu:"
 
 msgid "Ok"
-msgstr ""
+msgstr "Ok"
 
 msgid "global settings"
@@ -68,5 +67,5 @@
 
 msgid "Antispam"
-msgstr "Anitspam"
+msgstr "Antispam"
 
 msgid "Delete junk comments older than"
@@ -95,7 +94,6 @@
 msgstr "Whitelist"
 
-#, fuzzy
 msgid "Add an IP address: "
-msgstr "Gib eine IP-Adresse ein"
+msgstr "Eine IP-Adresse einfügen"
 
 msgid "Global IP"
@@ -143,7 +141,6 @@
 msgstr "Wörter wurden erfolgreich entfernt."
 
-#, fuzzy
 msgid "Add a word "
-msgstr "Füge ein Wort ein"
+msgstr "Ein Wort einfügen"
 
 msgid "Global word"
@@ -154,5 +151,5 @@
 
 msgid "List of bad words"
-msgstr ""
+msgstr "Wörter-Blacklist"
 
 msgid "Delete selected words"
@@ -222,5 +219,7 @@
 #, php-format
 msgid "All spam comments older than %s day(s) will be automatically deleted."
-msgstr "Alle Spam-Kommentare, die älter als %s Tag(e) sind, werden automatisch gelöscht."
+msgstr ""
+"Alle Spam-Kommentare, die älter als %s Tag(e) sind, werden automatisch "
+"gelöscht."
 
 msgid "You can modify this duration in the %s"
@@ -229,5 +228,5 @@
 #, fuzzy
 msgid "Blog preferences"
-msgstr "Globale Einstellungen"
+msgstr "Benutzer-Einstellungen"
 
 msgid "Filters configuration has been successfully saved."
@@ -252,7 +251,6 @@
 msgstr "Filter-Einstellungen"
 
-#, fuzzy
 msgid "position"
-msgstr "Position der Seite"
+msgstr "Stelle"
 
 msgid "Syndication"
@@ -266,15 +264,14 @@
 
 msgid "Attachments"
-msgstr ""
+msgstr "Anlagen"
 
 msgid "remove"
-msgstr ""
+msgstr "entfernen"
 
 msgid "No attachment."
-msgstr ""
-
-#, fuzzy
+msgstr "Keine Anlage."
+
 msgid "Add files to this entry"
-msgstr "Füge Dateien in die Seite ein"
+msgstr "Dateien in diesen Beitrag einfügen"
 
 msgid "Blogroll"
@@ -428,7 +425,6 @@
 msgstr "Sprache"
 
-#, fuzzy
 msgid "select this link"
-msgstr "Diesen Link auswählen"
+msgstr "diesen Link wählen"
 
 msgid "Delete selected links"
@@ -480,10 +476,13 @@
 msgstr "Code einfügen"
 
-#, fuzzy
 msgid "Choose a predefined style"
-msgstr "Vordefinierter Style"
-
-msgid "For the following reasons, images cannot be created. You won't be able to change some background properties."
-msgstr "Aus folgenden Gründen konnten keine Grafiken erstellt werden. Du kannst bestimmte Hintergrund-Eigenschaften nicht ändern."
+msgstr "Vordefinierter Style wählen"
+
+msgid ""
+"For the following reasons, images cannot be created. You won't be able to "
+"change some background properties."
+msgstr ""
+"Aus folgenden Gründen konnten keine Grafiken erstellt werden. Du kannst "
+"bestimmte Hintergrund-Eigenschaften nicht ändern."
 
 msgid "Theme configuration has been successfully updated."
@@ -560,9 +559,11 @@
 
 msgid "Add your image:"
-msgstr "Gib deine Grafik ein:"
+msgstr "Gib dein Bild ein:"
 
 #, php-format
 msgid "JPEG or PNG file, 800 pixels wide, maximum size %s"
-msgstr "JPEG-(*.jpeg/*.jpg) oder PNG-(*.png)Datei, Breite 800 Pixel, maximale Dateigröße %s"
+msgstr ""
+"JPEG-(*.jpeg/*.jpg) oder PNG-(*.png)Datei, Breite 800 Pixel, maximale "
+"Dateigröße %s"
 
 msgid "Sidebar"
@@ -660,11 +661,16 @@
 
 msgid "Additional CSS"
-msgstr ""
+msgstr "Zusätzliche CSS"
 
 msgid "Configuration import / export"
 msgstr "Konfiguration importieren / exportieren"
 
-msgid "You can share your configuration using the following code. To apply a configuration, paste the code, click on \"Apply code\" and save."
-msgstr "Du kannst zum Schützen deiner Konfiguration den folgenden Code benutzen und in eine Datei speichern. Um eine Konfiguration zu importieren, füge den Code ein, klicke auf \"Code einfügen\" und \"speichern\"."
+msgid ""
+"You can share your configuration using the following code. To apply a "
+"configuration, paste the code, click on \"Apply code\" and save."
+msgstr ""
+"Du kannst zum Schützen deiner Konfiguration den folgenden Code benutzen und "
+"in eine Datei speichern. Um eine Konfiguration zu importieren, füge den Code "
+"ein, klicke auf \"Code einfügen\" und \"speichern\"."
 
 msgid "Copy this code:"
@@ -674,6 +680,10 @@
 msgstr "Vorgabe"
 
-msgid "At least one of the following functions is not available: imagecreatetruecolor, imagepng & imagecreatefrompng."
-msgstr "Eine der folgenden Funktionen ist nicht vorhanden: imagecreatetruecolor, imagepng, imagecreatefrompng."
+msgid ""
+"At least one of the following functions is not available: "
+"imagecreatetruecolor, imagepng & imagecreatefrompng."
+msgstr ""
+"Eine der folgenden Funktionen ist nicht vorhanden: imagecreatetruecolor, "
+"imagepng, imagecreatefrompng."
 
 msgid "The 'public' directory does not exist."
@@ -706,5 +716,7 @@
 
 msgid "Exports a blog or a full Dotclear installation to flat file."
-msgstr "Exportiere einen Blog oder eine komplette Dotclear-Installation in eine Datei."
+msgstr ""
+"Exportiere einen Blog oder eine komplette Dotclear-Installation in eine "
+"Datei."
 
 msgid "Export file not found."
@@ -749,9 +761,17 @@
 
 #, php-format
-msgid "This will import your Dotclear 1.2 content as new content in the current blog: %s."
-msgstr "Dies wird den Inhalt von Dotclear 1.2 als neuen Inhalt in deinen aktuellen Blog (%s) importieren."
-
-msgid "Please note that this process will empty your categories, blogroll, entries and comments on the current blog."
-msgstr "Beachte: Dieser Prozess leert die Kategorien, Blogrolls, Einträge und Kommentare deines aktuellen Blogs!"
+msgid ""
+"This will import your Dotclear 1.2 content as new content in the current "
+"blog: %s."
+msgstr ""
+"Dies wird den Inhalt von Dotclear 1.2 als neuen Inhalt in deinen aktuellen "
+"Blog (%s) importieren."
+
+msgid ""
+"Please note that this process will empty your categories, blogroll, entries "
+"and comments on the current blog."
+msgstr ""
+"Beachte: Dieser Prozess leert die Kategorien, Blogrolls, Einträge und "
+"Kommentare deines aktuellen Blogs!"
 
 msgid "Depending on the size of your blog, it could take a few minutes."
@@ -764,6 +784,9 @@
 msgstr "Jetzt den Blog importieren"
 
-msgid "We first need some information about your old Dotclear 1.2 installation."
-msgstr "Wir brauchen erst einige Informationen über deine alte Dotclear 1.2-Installation."
+msgid ""
+"We first need some information about your old Dotclear 1.2 installation."
+msgstr ""
+"Wir brauchen erst einige Informationen über deine alte Dotclear 1.2-"
+"Installation."
 
 msgid "Entries import options"
@@ -789,10 +812,23 @@
 msgstr "Bitte genau lesen"
 
-msgid "Every newly imported user has received a random password and will need to ask for a new one by following the \"I forgot my password\" link on the login page (Their registered email address has to be valid.)"
-msgstr "Jeder neu importierte User hat ein zufällig generiertes Passwort erhalten; dies wird ihm mitgeteilt, wenn er den Link \"Ich habe mein Passwort vergessen\" auf der Login-Seite folgt. (Die registrierte E-Mail-Adresse muss gültig sein.)"
-
-#, php-format
-msgid "Please note that Dotclear 2 has a new URL layout. You can avoid broken links by installing <a href=\"%s\">DC1 redirect</a> plugin and activate it in your blog configuration."
-msgstr "Beachte: Dotclear 2 hat eine neue Struktur für URLs. Du kannst defekte Links durch Installieren und Aktivieren des <a href=\"%s\">DC1 redirect-Plugins</a> vermeiden."
+msgid ""
+"Every newly imported user has received a random password and will need to "
+"ask for a new one by following the \"I forgot my password\" link on the "
+"login page (Their registered email address has to be valid.)"
+msgstr ""
+"Jeder neu importierte User hat ein zufällig generiertes Passwort erhalten; "
+"dies wird ihm mitgeteilt, wenn er den Link \"Ich habe mein Passwort vergessen"
+"\" auf der Login-Seite folgt. (Die registrierte E-Mail-Adresse muss gültig "
+"sein.)"
+
+#, php-format
+msgid ""
+"Please note that Dotclear 2 has a new URL layout. You can avoid broken links "
+"by installing <a href=\"%s\">DC1 redirect</a> plugin and activate it in your "
+"blog configuration."
+msgstr ""
+"Beachte: Dotclear 2 hat eine neue Struktur für URLs. Du kannst defekte Links "
+"durch Installieren und Aktivieren des <a href=\"%s\">DC1 redirect-Plugins</"
+"a> vermeiden."
 
 msgid "next step"
@@ -821,6 +857,10 @@
 
 #, php-format
-msgid "This will import a feed (RSS or Atom) a as new content in the current blog: %s."
-msgstr "Dies wird einen Feed (RSS oder Atom) als neuen Inhalt in den aktuellen Blog importieren: %s"
+msgid ""
+"This will import a feed (RSS or Atom) a as new content in the current blog: "
+"%s."
+msgstr ""
+"Dies wird einen Feed (RSS oder Atom) als neuen Inhalt in den aktuellen Blog "
+"importieren: %s"
 
 msgid "Feed URL:"
@@ -831,5 +871,7 @@
 
 msgid "Imports a blog or a full Dotclear installation from flat file."
-msgstr "Importiert einen Blog oder einer komplette Dotclear-Installation aus einem Flat-File."
+msgstr ""
+"Importiert einen Blog oder einer komplette Dotclear-Installation aus einem "
+"Flat-File."
 
 msgid "Single blog successfully imported."
@@ -843,6 +885,10 @@
 
 #, php-format
-msgid "This will import a single blog backup as new content in the current blog: <strong>%s</strong>."
-msgstr "Dies wird einen einzelnen Blog als neuen Inhalt in den aktuellen Blog importieren: %s."
+msgid ""
+"This will import a single blog backup as new content in the current blog: "
+"<strong>%s</strong>."
+msgstr ""
+"Dies wird einen einzelnen Blog als neuen Inhalt in den aktuellen Blog "
+"importieren: %s."
 
 msgid "Upload a backup file"
@@ -855,6 +901,9 @@
 msgstr "Importiere eine komplette Backup-Datei"
 
-msgid "Warning: This will reset all the content of your database, except users."
-msgstr "Achtung: Dies wird den gesamten Inhalt, außer Benutzer, in deiner Datenbank zurücksetzen."
+msgid ""
+"Warning: This will reset all the content of your database, except users."
+msgstr ""
+"Achtung: Dies wird den gesamten Inhalt, außer Benutzer, in deiner Datenbank "
+"zurücksetzen."
 
 msgid "WordPress import"
@@ -865,15 +914,43 @@
 
 #, php-format
-msgid "This will import your WordPress content as new content in the current blog: %s."
-msgstr "Dies wird deinen Wordpress-Inhalt als neuen Inhalt in den aktuellen Blog importieren: %s."
+msgid ""
+"This will import your WordPress content as new content in the current blog: "
+"%s."
+msgstr ""
+"Dies wird deinen Wordpress-Inhalt als neuen Inhalt in den aktuellen Blog "
+"importieren: %s."
 
 msgid "We first need some information about your old WordPress installation."
-msgstr "Wir benötigen erst ein paar Informationen über deine alte Wordpress-Installation."
-
-msgid "WordPress and Dotclear's handling of categories are quite different. You can assign several categories to a single post in WordPress. In the Dotclear world, we see it more like \"One category, several tags.\" Therefore Dotclear can only import one category per post and will chose the lowest numbered one. If you want to keep a trace of every category, you can import them as tags, with an optional prefix."
-msgstr "Wordpress und Dotclear behandelt Kategorien unterschiedlich. Du kannst in Wordpress einen einzelnen Eintrag mehrere Kategorien zuweisen. Bei Dotclear wird \"eine Kategorie und mehrere Tags\" verwendet. Für Dotclear wird nur eine Kategorie pro Eintrag importiert, diejenige mit der niedrigsten Nummer. Wenn du dennoch alle Kategorien verwenden willst, kannst du diese als Tags mit optionalem Präfix importieren."
-
-msgid "On the other hand, in WordPress, a post can not be uncategorized, and a default installation has a first category labelised <i>\"Uncategorized\"</i>. If you did not change that category, you can just ignore it while importing your blog, as Dotclear allows you to actually keep your posts uncategorized."
-msgstr "Noch etwas ist anders bei Wordpress: Es kann kein Eintrag ohne Kategorie angelegt werden und bei der ersten Installation wird automatisch die erste Kategorie \"Allgemein\" angelegt. Hast du diese Kategorie nicht geändert, dann kannst du diese beim Importieren ignorieren, denn Dotclear erlaubt dir Einträge ohne Kategorie. "
+msgstr ""
+"Wir benötigen erst ein paar Informationen über deine alte Wordpress-"
+"Installation."
+
+msgid ""
+"WordPress and Dotclear's handling of categories are quite different. You can "
+"assign several categories to a single post in WordPress. In the Dotclear "
+"world, we see it more like \"One category, several tags.\" Therefore "
+"Dotclear can only import one category per post and will chose the lowest "
+"numbered one. If you want to keep a trace of every category, you can import "
+"them as tags, with an optional prefix."
+msgstr ""
+"Wordpress und Dotclear behandelt Kategorien unterschiedlich. Du kannst in "
+"Wordpress einen einzelnen Eintrag mehrere Kategorien zuweisen. Bei Dotclear "
+"wird \"eine Kategorie und mehrere Tags\" verwendet. Für Dotclear wird nur "
+"eine Kategorie pro Eintrag importiert, diejenige mit der niedrigsten Nummer. "
+"Wenn du dennoch alle Kategorien verwenden willst, kannst du diese als Tags "
+"mit optionalem Präfix importieren."
+
+msgid ""
+"On the other hand, in WordPress, a post can not be uncategorized, and a "
+"default installation has a first category labelised <i>\"Uncategorized\"</"
+"i>. If you did not change that category, you can just ignore it while "
+"importing your blog, as Dotclear allows you to actually keep your posts "
+"uncategorized."
+msgstr ""
+"Noch etwas ist anders bei Wordpress: Es kann kein Eintrag ohne Kategorie "
+"angelegt werden und bei der ersten Installation wird automatisch die erste "
+"Kategorie \"Allgemein\" angelegt. Hast du diese Kategorie nicht geändert, "
+"dann kannst du diese beim Importieren ignorieren, denn Dotclear erlaubt dir "
+"Einträge ohne Kategorie. "
 
 msgid "Ignore the first category:"
@@ -892,6 +969,9 @@
 msgstr "Inhaltsfilter"
 
-msgid "You may want to process your post and/or comment content with the following filters."
-msgstr "Du kannst deine Einträge und Kommentare nach folgenden Kriterien sortieren."
+msgid ""
+"You may want to process your post and/or comment content with the following "
+"filters."
+msgstr ""
+"Du kannst deine Einträge und Kommentare nach folgenden Kriterien sortieren."
 
 msgid "Post content formatter:"
@@ -983,5 +1063,5 @@
 #, fuzzy
 msgid "Vacuum logs"
-msgstr "Logs bereinigen"
+msgstr "Bereinige Tabellen"
 
 msgid "Delete all logs"
@@ -997,11 +1077,11 @@
 msgstr "Seiten"
 
-#, fuzzy, php-format
+#, php-format
 msgid "%d page"
-msgstr "Seite bearbeiten"
-
-#, fuzzy, php-format
+msgstr "%d Seite"
+
+#, php-format
 msgid "%d pages"
-msgstr "Seiten bearbeiten"
+msgstr "%d Seiten"
 
 msgid "manage pages"
@@ -1020,7 +1100,4 @@
 msgstr "Seitentitel"
 
-msgid "Page position"
-msgstr "Position der Seite"
-
 msgid "Publication date"
 msgstr "Datum der Veröffentlichung"
@@ -1029,7 +1106,6 @@
 msgstr "Keine Seite"
 
-#, fuzzy
 msgid "select this page"
-msgstr "Diese Seite auswählen"
+msgstr "diese Seite wählen"
 
 msgid "Are you sure you want to delete selected pages?"
@@ -1063,6 +1139,7 @@
 msgstr "Die Seite wurde erfolgreich erstellt."
 
+#, fuzzy
 msgid "Go to this page on the site"
-msgstr ""
+msgstr "Gehe zu diese Seite "
 
 msgid "Page status"
@@ -1070,5 +1147,5 @@
 
 msgid "Page position"
-msgstr "Position der Seite:"
+msgstr "Stelle der Seite:"
 
 msgid "Page lang"
@@ -1078,6 +1155,9 @@
 msgstr "Passwort der Seite:"
 
-msgid "Warning: If you set the URL manually, it may conflict with another page."
-msgstr "Achtung: Wenn du den URL manuell einfügst, kann es zu Konflikten mit anderen Seiten kommen."
+msgid ""
+"Warning: If you set the URL manually, it may conflict with another page."
+msgstr ""
+"Achtung: Wenn du den URL manuell einfügst, kann es zu Konflikten mit anderen "
+"Seiten kommen."
 
 msgid "Add files to this page"
@@ -1115,12 +1195,11 @@
 
 msgid "Simple menu"
-msgstr ""
+msgstr "Einfach Menü"
 
 msgid "Menu"
-msgstr ""
-
-#, fuzzy
+msgstr "Menü"
+
 msgid "All months"
-msgstr "Alle Tags"
+msgstr "Alle Monate"
 
 msgid "All tags"
@@ -1130,125 +1209,113 @@
 msgstr "Startseite"
 
-#, fuzzy
 msgid "Archive"
-msgstr "Archive"
-
-#, fuzzy
+msgstr "Archiv"
+
 msgid "Page"
-msgstr "Seiten"
+msgstr "Seite"
 
 msgid "Tags"
 msgstr "Tags"
 
+#, fuzzy
 msgid "User defined"
-msgstr ""
+msgstr "Benutzer-Einstellungen"
 
 msgid "Label"
-msgstr ""
+msgstr "Wortlaut"
 
 msgid "Recent posts"
-msgstr ""
+msgstr "Kürzliche Einträge"
 
 #, php-format
 msgid "Switch to %s language"
-msgstr ""
-
+msgstr "%s Sprache wechseln:"
+
+#, fuzzy
 msgid "Recent Posts from this category"
-msgstr ""
+msgstr "Importiere die niedrigste nummerierte Kategorie bei Beiträgen."
 
 msgid "Archives"
 msgstr "Archive"
 
-#, fuzzy, php-format
+#, php-format
 msgid "Posts from %s"
-msgstr "Aus der Liste wählen"
+msgstr "Einträge von %s"
 
 #, php-format
 msgid "Recent posts for %s tag"
-msgstr ""
+msgstr "Kürzlich Einträge für %s Tag"
 
 msgid "Label and URL of menu item are mandatory."
-msgstr ""
-
-#, fuzzy
+msgstr "Die Wortlaute und URL des Menü-Item sind benötigt:"
+
 msgid "No menu items selected."
-msgstr "Keine Einträge im Feed."
+msgstr "Kein Menü-Item ausgewählt."
 
 msgid "Label is mandatory."
-msgstr ""
+msgstr "Der Wortlaut ist benötigt."
 
 msgid "URL is mandatory."
-msgstr ""
-
-#, fuzzy
+msgstr "URL ist benötigt."
+
 msgid "Menu item has been successfully added."
-msgstr "Wort wurde erfolgreich eingefügt."
-
-#, fuzzy
+msgstr "Menü-Item wurde erfolgreich eingefügt."
+
 msgid "Menu items have been successfully removed."
-msgstr "Einträge wurden erfolgreich entfernt."
-
-#, fuzzy
+msgstr "Menü-Items wurden erfolgreich entfernt."
+
 msgid "Menu items have been successfully updated."
-msgstr "Einstellungen wurden erfolgreich aktualisiert."
-
-#, fuzzy
+msgstr "Menü-Items wurden erfolgreich aktualisiert."
+
 msgid "Add item"
-msgstr "Tags hinzufügen"
-
-#, fuzzy
+msgstr "Item einfügen"
+
 msgid "Select type"
-msgstr "Diese Seite auswählen"
+msgstr "Typ wählen"
 
 msgid "Type of item menu:"
-msgstr ""
+msgstr "Typ des Menü-Item:"
 
 msgid "Continue..."
-msgstr ""
-
-#, fuzzy
+msgstr "Fortsetzen..."
+
 msgid "Select language:"
-msgstr "Sprachen des Blogs"
-
-#, fuzzy
+msgstr "Sprache wählen:"
+
 msgid "Select category:"
-msgstr "Bearbeite Kategorie"
+msgstr "Kategorie wählen:"
 
 msgid "Select month (if necessary):"
-msgstr ""
-
-#, fuzzy
+msgstr "Monat nötigenfalls wählen:"
+
 msgid "Select page:"
-msgstr "Diese Seite auswählen"
+msgstr "Seite wählen:"
 
 msgid "Select tag (if necessary):"
-msgstr ""
+msgstr "Tag nötigenfalls wählen:"
 
 msgid "Label of item menu:"
-msgstr ""
-
-#, fuzzy
+msgstr "Wortlaut des Menü-Item:"
+
 msgid "Description of item menu:"
-msgstr "Beschreibung"
+msgstr "Beschreibung des Menü-Item:"
 
 msgid "URL of item menu:"
-msgstr ""
+msgstr "URL des Menü-Item:"
 
 msgid "Add this item"
-msgstr ""
-
-#, fuzzy
+msgstr "Füge ein"
+
 msgid "Add an item"
-msgstr "Neuen Link einfügen"
+msgstr "Ein Item einfügen"
 
 msgid "Menu items list"
-msgstr ""
+msgstr "Menü-Items Liste"
 
 msgid "Update menu"
-msgstr ""
-
-#, fuzzy
+msgstr "Menü aktualisieren"
+
 msgid "Delete selected menu items"
-msgstr "Ausgewählte Links löschen"
+msgstr "Ausgewählte Menu Items löschen"
 
 #, fuzzy
@@ -1257,5 +1324,5 @@
 
 msgid "No menu items so far."
-msgstr ""
+msgstr "Kein Item Menü bisher."
 
 msgid "Tags:"
@@ -1291,9 +1358,7 @@
 msgstr "Trage Tags mit Komma getrennt ein"
 
-#, fuzzy
 msgid "Add tags"
-msgstr "Tags hinzufügen"
-
-#, fuzzy
+msgstr "Tags einfügen"
+
 msgid "Remove tags"
 msgstr "Tags entfernen"
@@ -1350,21 +1415,19 @@
 msgstr "Zurück zur Tagliste"
 
-#, fuzzy
 msgid "Actions for this tag"
-msgstr "Füge Dateien in die Seite ein"
-
-#, fuzzy
+msgstr "Handlungen für diesen Tag"
+
 msgid "Edit tag name:"
-msgstr "Tag bearbeiten"
+msgstr "Name des Tags bearbeiten"
 
 msgid "Rename"
-msgstr ""
-
-#, fuzzy
+msgstr "Umbenennen"
+
 msgid "Delete this tag:"
 msgstr "Diesen Tag löschen"
 
+#, fuzzy
 msgid "List of entries with this tag"
-msgstr ""
+msgstr "Die Einträge dieses Tags als Atom-Feed abonnieren"
 
 msgid "Tag has been successfully removed"
@@ -1388,6 +1451,10 @@
 
 #, php-format
-msgid "Unable to write file %s. Please check your theme files and folders permissions."
-msgstr "Datei %s kann nicht geschrieben werden. Bitte überprüfe die Rechte der Dateien und Verzeichnisse für Themen."
+msgid ""
+"Unable to write file %s. Please check your theme files and folders "
+"permissions."
+msgstr ""
+"Datei %s kann nicht geschrieben werden. Bitte überprüfe die Rechte der "
+"Dateien und Verzeichnisse für Themen."
 
 msgid "Saving document..."
@@ -1418,5 +1485,7 @@
 
 msgid "This file is not writable. Please check your theme files permissions."
-msgstr "Diese Datei ist nicht beschreibbar. Bitte überprüfe die Rechte der Theme-Datei."
+msgstr ""
+"Diese Datei ist nicht beschreibbar. Bitte überprüfe die Rechte der Theme-"
+"Datei."
 
 msgid "Templates files"
@@ -1431,5 +1500,5 @@
 #, fuzzy
 msgid "Preferences successfully updated"
-msgstr "Die Seite wurde erfolgreiche aktualisiert."
+msgstr "Konfiguration wurden erfolgreich aktualisiert"
 
 #, fuzzy
@@ -1442,5 +1511,5 @@
 #, fuzzy
 msgid "global preferences"
-msgstr "Globale Einstellungen"
+msgstr "Benutzer-Einstellungen"
 
 msgid "Presentation widgets"
@@ -1524,7 +1593,6 @@
 msgstr "Extra"
 
-#, fuzzy
 msgid "custom"
-msgstr "Speziell..."
+msgstr "speziell"
 
 msgid "Widgets"
@@ -1540,7 +1608,6 @@
 msgstr "Hinzufügen zu:"
 
-#, fuzzy
 msgid "Add widgets to sidebars"
-msgstr "Hinzfügen von Widgets zu den Sidebars"
+msgstr "Widgets in Sidebars einfügen"
 
 msgid "Navigation sidebar"
@@ -1550,24 +1617,27 @@
 msgstr "Extra-Sidebar"
 
-#, fuzzy
 msgid "Custom sidebar"
-msgstr "Sidebars zurücksetzen"
-
-#, fuzzy
+msgstr "Spezielle Sidebar"
+
 msgid "Update sidebars"
 msgstr "Sidebars aktualisieren"
 
-#, fuzzy
 msgid "Reset sidebars"
 msgstr "Sidebars zurücksetzen"
 
-#, fuzzy
 msgid "Use of widgets"
-msgstr "Kein Widget."
-
-msgid "Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes."
-msgstr ""
-
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
+msgstr "Widgets Benutzung"
+
+msgid ""
+"Widgets may be used to add various blocks of content to be displayed on your "
+"public pages. To add a widget, drag it from the Available widgets list on "
+"the left to one of the sidebars on the right of this page. You can order "
+"your widgets in a sidebar by dragging them up or down. You must update "
+"sidebars to apply your changes."
+msgstr ""
+
+msgid ""
+"Once included in a sidebar, widgets have configuration options that you can "
+"reach by clicking on the arrow next to their name."
 msgstr ""
 
@@ -1578,9 +1648,16 @@
 msgstr "Widget-Templates-Tags"
 
-msgid "If you are allowed to edit your theme templates, you can directly add widgets as templates tags, with their own configuration."
-msgstr "Solltest du das Recht haben, die Templates des Themes zu bearbeiten, dann kannst du Widgets direkt als Template-Tags mit deinen eigenen Einstellungen eingeben."
+msgid ""
+"If you are allowed to edit your theme templates, you can directly add "
+"widgets as templates tags, with their own configuration."
+msgstr ""
+"Solltest du das Recht haben, die Templates des Themes zu bearbeiten, dann "
+"kannst du Widgets direkt als Template-Tags mit deinen eigenen Einstellungen "
+"eingeben."
 
 msgid "To add a widget in your template, you need to write code like this:"
-msgstr "Wenn du ein Widget in das Template einfügen möchtest, dann benutze Code mit folgender Schreibweise:"
+msgstr ""
+"Wenn du ein Widget in das Template einfügen möchtest, dann benutze Code mit "
+"folgender Schreibweise:"
 
 msgid "Widget ID"
@@ -1613,56 +1690,2 @@
 msgid "Remove widget"
 msgstr "Widget entfernen"
-
-#~ msgid "List"
-#~ msgstr "Liste"
-
-#~ msgid "Return to filters"
-#~ msgstr "Zurück zu den Filtern"
-
-#~ msgid "import"
-#~ msgstr "importieren"
-
-#~ msgid "Preview"
-#~ msgstr "Vorschau"
-
-#~ msgid "Send"
-#~ msgstr "Senden"
-
-#~ msgid "View page"
-#~ msgstr "Seite anzeigen"
-
-#~ msgid "Preview page"
-#~ msgstr "Seitenvorschau"
-
-#~ msgid "Rename this tag:"
-#~ msgstr "Diesen Tag umbenennen"
-
-#~ msgid "Save order"
-#~ msgstr "Anordnung speichern"
-
-#~ msgid "External media"
-#~ msgstr "Externes Medium"
-
-#~ msgid "External media selector"
-#~ msgstr "Externe Medienauswahl"
-
-#~ msgid "Supported media services"
-#~ msgstr "Unterstützte Medienservices"
-
-#~ msgid "Please enter the URL of the page containing the video you want to include in your post."
-#~ msgstr "Bitte gib die URL der Seite ein, von der du das Video einfügen willst."
-
-#~ msgid "Page URL:"
-#~ msgstr "URL der Seite:"
-
-#~ msgid "Media alignment"
-#~ msgstr "Ausrichtung des Mediums"
-
-#~ msgid "Media title"
-#~ msgstr "Titel des Mediums"
-
-#~ msgid "Unsupported service"
-#~ msgstr "Nicht unterstützter Service"
-
-#~ msgid "Invalid page URL"
-#~ msgstr "Falscher URL der Seite"
Index: locales/de/public.po
===================================================================
--- locales/de/public.po	(revision 2666)
+++ locales/de/public.po	(revision 759)
@@ -43,5 +43,5 @@
 msgstr "Weiterlesen"
 
-msgid "no comments"
+msgid "no comment"
 msgstr "Kein Kommentar"
 