Index: inc/public/default-templates/currywurst/archive_month.html
===================================================================
--- inc/public/default-templates/currywurst/archive_month.html	(revision 2603)
+++ inc/public/default-templates/currywurst/archive_month.html	(revision 2692)
@@ -1,22 +1,19 @@
-<!DOCTYPE html>
-<html lang="{{tpl:BlogLanguage}}">
-<head>
-	<meta charset="UTF-8" />
+{{tpl:extends parent="__layout.html"}}
+
+<tpl:Block name="head-title">
+	<title>{{tpl:lang Archives}} - {{tpl:ArchiveDate}} - {{tpl:BlogName encode_html="1"}}</title>
+</tpl:Block>
+
+<tpl:Block name="meta-robots">
 	<meta name="ROBOTS" content="{{tpl:BlogMetaRobots robots="NOINDEX"}}" />
+</tpl:Block>
 
-	<title>{{tpl:lang Archives}} - {{tpl:ArchiveDate}} - {{tpl:BlogName encode_html="1"}}</title>
-	<meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
-	<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
-	<meta name="date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
-
-	<link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
+<tpl:Block name="dc-entry">
 	<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:lang Archives}} - {{tpl:ArchiveDate}} - {{tpl:BlogName encode_html="1"}}" />
 	<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
-	<meta property="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
-	<meta property="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
 	<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
-	<meta property="dc.type" content="text" />
-	<meta property="dc.format" content="text/html" />
+</tpl:Block>
 
+<tpl:Block name="head-linkrel">
 	<link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
 	<link rel="up" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
@@ -29,47 +26,29 @@
 		<link rel="chapter" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" />
 	</tpl:Entries>
+</tpl:Block>
 
-	{{tpl:include src="_head.html"}}
-</head>
-<body class="dc-archive-month">
-	<div id="page">
-		{{tpl:include src="_top.html"}}
+<tpl:Block name="body-tag"><body class="dc-archive-month"></body></tpl:Block>
 
-		<div id="wrapper">
+<tpl:Block name="main-content">
+	<p class="navlinks topnl">
+		<tpl:ArchivePrevious><a href="{{tpl:ArchiveURL}}" class="prev">&#171; {{tpl:ArchiveDate encode_html="1"}}</a> - </tpl:ArchivePrevious>
+		{{tpl:ArchiveDate}}
+		<tpl:ArchiveNext> - <a href="{{tpl:ArchiveURL}}" class="next">{{tpl:ArchiveDate encode_html="1"}} &#187;</a></tpl:ArchiveNext>
+	</p>
 
-			<div id="main" role="main">
-				<div id="content">
+	<div id="content-info">
+		<h2>{{tpl:ArchiveDate}} <span>({{tpl:ArchiveEntriesCount}})</span></h2>
+	</div>
 
-					<p class="navlinks topnl">
-						<tpl:ArchivePrevious><a href="{{tpl:ArchiveURL}}" class="prev">&#171; {{tpl:ArchiveDate encode_html="1"}}</a> - </tpl:ArchivePrevious>
-						{{tpl:ArchiveDate}}
-						<tpl:ArchiveNext> - <a href="{{tpl:ArchiveURL}}" class="next">{{tpl:ArchiveDate encode_html="1"}} &#187;</a></tpl:ArchiveNext>
-					</p>
+	<div class="content-inner">
+		<tpl:Entries>
+			{{tpl:include src="_entry-short.html"}}
+		</tpl:Entries>
+	</div>
 
-					<div id="content-info">
-						<h2>{{tpl:ArchiveDate}} <span>({{tpl:ArchiveEntriesCount}})</span></h2>
-					</div>
-
-					<div class="content-inner">
-						<tpl:Entries>
-							{{tpl:include src="_entry-short.html"}}
-						</tpl:Entries>
-					</div>
-
-					<p class="navlinks">
-						<tpl:ArchivePrevious><a href="{{tpl:ArchiveURL}}" class="prev">&#171; {{tpl:ArchiveDate encode_html="1"}}</a> - </tpl:ArchivePrevious>
-						{{tpl:ArchiveDate}}
-						<tpl:ArchiveNext> - <a href="{{tpl:ArchiveURL}}" class="next">{{tpl:ArchiveDate encode_html="1"}} &#187;</a></tpl:ArchiveNext>
-					</p>
-
-				</div>
-			</div> <!-- End #main -->
-
-			{{tpl:include src="_sidebar.html"}}
-
-		</div> <!-- End #wrapper -->
-
-		{{tpl:include src="_footer.html"}}
-	</div> <!-- End #page -->
-</body>
-</html>
+	<p class="navlinks">
+		<tpl:ArchivePrevious><a href="{{tpl:ArchiveURL}}" class="prev">&#171; {{tpl:ArchiveDate encode_html="1"}}</a> - </tpl:ArchivePrevious>
+		{{tpl:ArchiveDate}}
+		<tpl:ArchiveNext> - <a href="{{tpl:ArchiveURL}}" class="next">{{tpl:ArchiveDate encode_html="1"}} &#187;</a></tpl:ArchiveNext>
+	</p>
+</tpl:Block>