Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 2800)
+++ locales/fr/main.po	(revision 2806)
@@ -11,7 +11,7 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-11-01 14:23+0100\n"
-"PO-Revision-Date: 2012-08-13 07:13+0000\n"
-"Last-Translator: xave <xave@dotclear.net>\n"
+"POT-Creation-Date: 2014-11-20 19:20+0100\n"
+"PO-Revision-Date: 2014-11-20 19:12+0100\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/projects/p/dotclear/language/fr/)\n"
 "Language: fr\n"
@@ -19,5 +19,6 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n > 1)\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Poedit 1.6.10\n"
 
 msgid "Dotclear has been upgraded."
@@ -146,147 +147,150 @@
 msgstr "Au moins 2 caractères, composés de lettres non accentuées, chiffres ou symboles."
 
+msgid "Blog name:"
+msgstr "Nom du blog :"
+
+msgid "Blog URL:"
+msgstr "URL du blog :"
+
+msgid "Blog description:"
+msgstr "Description du blog :"
+
+msgid "Create"
+msgstr "Créer"
+
+msgid "No such blog ID"
+msgstr "Identifiant de blog inconnu"
+
+msgid "Password verification failed"
+msgstr "La vérification du mot de passe a échoué"
+
+#, php-format
+msgid "Blog \"%s\" successfully deleted"
+msgstr "Le blog \"%s\" a été supprimé."
+
+msgid "Delete a blog"
+msgstr "Supprimer un blog"
+
+msgid "Warning"
+msgstr "Attention"
+
+#, php-format
+msgid "You are about to delete the blog %s. Every entry, comment and category will be deleted."
+msgstr "Vous êtes sur le point de supprimer le blog %s. Tous ses billets, pages, commentaires et catégories seront supprimés."
+
+msgid "Please give your password to confirm the blog deletion."
+msgstr "Veuillez indiquer votre mot de passe pour confirmer la suppression du blog."
+
+msgid "Your password:"
+msgstr "Votre mot de passe :"
+
+msgid "Delete this blog"
+msgstr "Supprimer ce blog"
+
+msgid "No given blog id."
+msgstr "Pas d'identifiant de blog."
+
+msgid "No such blog."
+msgstr "Blog inexistant."
+
+msgid "year/month/day/title"
+msgstr "année/mois/jour/titre"
+
+msgid "year/month/title"
+msgstr "année/mois/titre"
+
+msgid "year/title"
+msgstr "année/titre"
+
+msgid "title"
+msgstr "titre"
+
+msgid "post id/title"
+msgstr "identificateur du billet/titre"
+
+msgid "post id"
+msgstr "identificateur du billet"
+
+msgid "H4"
+msgstr "H4"
+
+msgid "H3"
+msgstr "H3"
+
+msgid "P"
+msgstr "P"
+
+msgid "(none)"
+msgstr "(aucun)"
+
+msgid "Title"
+msgstr "Titre"
+
+msgid "Title, Date"
+msgstr "Titre, date"
+
+msgid "Title, Country, Date"
+msgstr "Titre, pays, date"
+
+msgid "Title, City, Country, Date"
+msgstr "Titre, ville, pays, date"
+
+msgid "original"
+msgstr "originale"
+
+msgid "None"
+msgstr "Aucun"
+
+msgid "Left"
+msgstr "Gauche"
+
+msgid "Right"
+msgstr "Droite"
+
+msgid "Center"
+msgstr "Centre"
+
+msgid "I would like search engines and archivers to index and archive my blog's content."
+msgstr "Je souhaite que mon blog soit indexé et archivé par les moteurs de recherche et archiveurs."
+
+msgid "I would like search engines and archivers to index but not archive my blog's content."
+msgstr "Je souhaite que mon blog soit indexé mais pas archivé par les moteurs de recherche et archiveurs."
+
+msgid "I would like to prevent search engines and archivers from indexing or archiving my blog's content."
+msgstr "Je souhaite que mon blog ne soit ni indexé ni archivé par les moteurs de recherche et archiveurs."
+
+msgid "Default"
+msgstr "Défaut"
+
+msgid "This blog ID is already used."
+msgstr "Cet identifiant est déjà utilisé."
+
+msgid "Invalid language code"
+msgstr "Code langue invalide"
+
+msgid "Blog has been successfully updated."
+msgstr "Le blog a été mis à jour."
+
+msgid "Blog settings"
+msgstr "Paramètres du blog"
+
+msgid "Warning: except for special configurations, it is generally advised to have a trailing \"/\" in your blog URL in PATH_INFO mode."
+msgstr "Attention : sauf cas particulier, il est généralement conseillé de terminer l'URL de votre blog par \"/\" en mode PATH_INFO."
+
+msgid "Warning: except for special configurations, it is generally advised to have a trailing \"?\" in your blog URL in QUERY_STRING mode."
+msgstr "Attention: sauf cas particulier, il est généralement conseillé de terminer l'URL de votre blog par \\\"?\\\" en mode QUERY_STRING."
+
+msgid "Blog has been successfully created."
+msgstr "Le blog a été créé."
+
+msgid "Parameters"
+msgstr "Paramètres"
+
+msgid "Blog details"
+msgstr "Informations du blog"
+
 msgid "Please note that changing your blog ID may require changes in your public index.php file."
 msgstr "Veuillez noter que changer l'identifiant de votre blog peut nécessiter des modifications de votre fichier index.php public."
 
-msgid "Blog name:"
-msgstr "Nom du blog :"
-
-msgid "Blog URL:"
-msgstr "URL du blog :"
-
-msgid "Blog description:"
-msgstr "Description du blog :"
-
-msgid "Create"
-msgstr "Créer"
-
-msgid "No such blog ID"
-msgstr "Identifiant de blog inconnu"
-
-msgid "Password verification failed"
-msgstr "La vérification du mot de passe a échoué"
-
-#, php-format
-msgid "Blog \"%s\" successfully deleted"
-msgstr "Le blog \"%s\" a été supprimé."
-
-msgid "Delete a blog"
-msgstr "Supprimer un blog"
-
-msgid "Warning"
-msgstr "Attention"
-
-#, php-format
-msgid "You are about to delete the blog %s. Every entry, comment and category will be deleted."
-msgstr "Vous êtes sur le point de supprimer le blog %s. Tous ses billets, pages, commentaires et catégories seront supprimés."
-
-msgid "Please give your password to confirm the blog deletion."
-msgstr "Veuillez indiquer votre mot de passe pour confirmer la suppression du blog."
-
-msgid "Your password:"
-msgstr "Votre mot de passe :"
-
-msgid "Delete this blog"
-msgstr "Supprimer ce blog"
-
-msgid "No given blog id."
-msgstr "Pas d'identifiant de blog."
-
-msgid "No such blog."
-msgstr "Blog inexistant."
-
-msgid "year/month/day/title"
-msgstr "année/mois/jour/titre"
-
-msgid "year/month/title"
-msgstr "année/mois/titre"
-
-msgid "year/title"
-msgstr "année/titre"
-
-msgid "title"
-msgstr "titre"
-
-msgid "post id/title"
-msgstr "identificateur du billet/titre"
-
-msgid "post id"
-msgstr "identificateur du billet"
-
-msgid "H4"
-msgstr "H4"
-
-msgid "H3"
-msgstr "H3"
-
-msgid "P"
-msgstr "P"
-
-msgid "(none)"
-msgstr "(aucun)"
-
-msgid "Title"
-msgstr "Titre"
-
-msgid "Title, Date"
-msgstr "Titre, date"
-
-msgid "Title, Country, Date"
-msgstr "Titre, pays, date"
-
-msgid "Title, City, Country, Date"
-msgstr "Titre, ville, pays, date"
-
-msgid "original"
-msgstr "originale"
-
-msgid "None"
-msgstr "Aucun"
-
-msgid "Left"
-msgstr "Gauche"
-
-msgid "Right"
-msgstr "Droite"
-
-msgid "Center"
-msgstr "Centre"
-
-msgid "I would like search engines and archivers to index and archive my blog's content."
-msgstr "Je souhaite que mon blog soit indexé et archivé par les moteurs de recherche et archiveurs."
-
-msgid "I would like search engines and archivers to index but not archive my blog's content."
-msgstr "Je souhaite que mon blog soit indexé mais pas archivé par les moteurs de recherche et archiveurs."
-
-msgid "I would like to prevent search engines and archivers from indexing or archiving my blog's content."
-msgstr "Je souhaite que mon blog ne soit ni indexé ni archivé par les moteurs de recherche et archiveurs."
-
-msgid "This blog ID is already used."
-msgstr "Cet identifiant est déjà utilisé."
-
-msgid "Invalid language code"
-msgstr "Code langue invalide"
-
-msgid "Blog has been successfully updated."
-msgstr "Le blog a été mis à jour."
-
-msgid "Blog settings"
-msgstr "Paramètres du blog"
-
-msgid "Warning: except for special configurations, it is generally advised to have a trailing \"/\" in your blog URL in PATH_INFO mode."
-msgstr "Attention : sauf cas particulier, il est généralement conseillé de terminer l'URL de votre blog par \"/\" en mode PATH_INFO."
-
-msgid "Warning: except for special configurations, it is generally advised to have a trailing \"?\" in your blog URL in QUERY_STRING mode."
-msgstr "Attention: sauf cas particulier, il est généralement conseillé de terminer l'URL de votre blog par \\\"?\\\" en mode QUERY_STRING."
-
-msgid "Blog has been successfully created."
-msgstr "Le blog a été créé."
-
-msgid "Parameters"
-msgstr "Paramètres"
-
-msgid "Blog details"
-msgstr "Informations du blog"
-
 msgid "URL scan method:"
 msgstr "Méthode de lecture de l'URL :"
@@ -444,4 +448,7 @@
 msgstr "Utiliser la date originelle du média si possible"
 
+msgid "Do not display date if alone in title"
+msgstr "Ne pas afficher la date si elle est seule dans le titre"
+
 msgid "It is retrieved from the picture's metadata."
 msgstr "Ces informations sont obtenues depuis les métadonnées de l'image."
@@ -458,4 +465,16 @@
 msgid "Search engines robots policy"
 msgstr "Paramètres d'indexation par les moteurs de recherche"
+
+msgid "jQuery javascript library"
+msgstr "Librairie javascript jQuery"
+
+msgid "jQuery version to be loaded for this blog:"
+msgstr "Version de la librairie jQuery à charger pour ce blog :"
+
+msgid "Blog security"
+msgstr "Sécurité du blog"
+
+msgid "Protect the blog from Clickjacking (see <a href=\"https://en.wikipedia.org/wiki/Clickjacking\">Wikipedia</a>)"
+msgstr "Protéger le blog des détournements de clic ou Clickjacking (voir <a href=\"https://fr.wikipedia.org/wiki/Clickjacking\">Wikipedia</a>)"
 
 msgid "Save"
@@ -959,4 +978,7 @@
 msgstr "Il n'existe pas de répertoire principal accessible en écriture pour la médiathèque. Vous devriez contacter votre administrateur."
 
+msgid "Error:"
+msgstr "Erreur :"
+
 msgid "Following plugins have been installed:"
 msgstr "Les plugins suivants ont été installés :"
@@ -1332,4 +1354,7 @@
 msgstr[1] "Suppression de %d médias effectuée."
 
+msgid "Directory has been successfully removed."
+msgstr "Le répertoire a été supprimé."
+
 msgid "File has been successfully removed."
 msgstr "Le fichier a été supprimé."
@@ -1360,7 +1385,4 @@
 msgid "Directory has been successfully created."
 msgstr "Le répertoire a été créé."
-
-msgid "Directory has been successfully removed."
-msgstr "Le répertoire a été supprimé."
 
 msgid "Directory has been successfully rebuilt."
@@ -1949,7 +1971,4 @@
 msgstr "Action sur les billets sélectionnés :"
 
-msgid "Default"
-msgstr "Défaut"
-
 msgid "If you want to change your email or password you must provide your current password."
 msgstr "Si vous voulez modifier votre adresse email ou votre mot de passe, vous devez indiquer votre mot de passe actuel."
@@ -2033,6 +2052,10 @@
 msgstr "Édition"
 
+#, php-format
 msgid "Preferred editor for %s:"
 msgstr "Editeur préféré pour le format %s :"
+
+msgid "Choose an editor"
+msgstr "Choisissez un éditeur"
 
 msgid "Preferred format:"
@@ -2495,7 +2518,4 @@
 msgstr "Vous êtes en mode de secours. Tous les plugins ont été temporairement désactivés. N'oubliez-pas de vous déconnecter puis de vous reconnecter normalement pour retrouver toutes les fonctionnalités"
 
-msgid "Error:"
-msgstr "Erreur :"
-
 msgid "[%H:%M:%S]"
 msgstr "[%H:%M:%S]"
@@ -2591,11 +2611,11 @@
 
 #, php-format
+msgid "Are you sure you want to remove media \"%s\"?"
+msgstr "Êtes-vous certain de vouloir supprimer le média \"%s\" ?"
+
+#, php-format
 msgid "Are you sure you want to remove directory \"%s\"?"
 msgstr "Êtes-vous certain de vouloir supprimer le répertoire \"%s\" ?"
 
-#, php-format
-msgid "Are you sure you want to remove media \"%s\"?"
-msgstr "Êtes-vous certain de vouloir supprimer le média \"%s\" ?"
-
 msgid "Are you sure you want to extract archive in current directory?"
 msgstr "Êtes-vous certain de vouloir extraire l'archive dans le répertoire actuel ?"
@@ -2677,4 +2697,7 @@
 msgstr "Vous n'avez pas enregistré vos modifications."
 
+msgid "Choose date"
+msgstr "Choisir une date"
+
 msgid "close"
 msgstr "fermer"
@@ -2682,94 +2705,4 @@
 msgid "now"
 msgstr "maintenant"
-
-msgid "visual"
-msgstr "visuel"
-
-msgid "source"
-msgstr "source"
-
-msgid "You can use the following shortcuts to format your text."
-msgstr "Vous pouvez utiliser les raccourcis suivants pour formater votre texte."
-
-msgid "-- none --"
-msgstr "-- aucun --"
-
-msgid "-- block format --"
-msgstr "-- format bloc --"
-
-msgid "Paragraph"
-msgstr "Paragraphe"
-
-msgid "Level 1 header"
-msgstr "Titre de niveau 1"
-
-msgid "Level 2 header"
-msgstr "Titre de niveau 2"
-
-msgid "Level 3 header"
-msgstr "Titre de niveau 3"
-
-msgid "Level 4 header"
-msgstr "Titre de niveau 4"
-
-msgid "Level 5 header"
-msgstr "Titre de niveau 5"
-
-msgid "Level 6 header"
-msgstr "Titre de niveau 6"
-
-msgid "Strong emphasis"
-msgstr "Forte emphase"
-
-msgid "Emphasis"
-msgstr "Emphase"
-
-msgid "Inserted"
-msgstr "Insertion"
-
-msgid "Deleted"
-msgstr "Suppression"
-
-msgid "Inline quote"
-msgstr "Citation en ligne"
-
-msgid "Code"
-msgstr "Code"
-
-msgid "Line break"
-msgstr "Passage à la ligne"
-
-msgid "Blockquote"
-msgstr "Bloc de citation"
-
-msgid "Preformated text"
-msgstr "Texte préformaté"
-
-msgid "Unordered list"
-msgstr "Liste à puces"
-
-msgid "Ordered list"
-msgstr "Liste numérotée"
-
-msgid "Link"
-msgstr "Lien"
-
-msgid "URL?"
-msgstr "URL ?"
-
-msgid "Language?"
-msgstr "Langue ?"
-
-msgid "External image"
-msgstr "Image externe"
-
-msgid "Media chooser"
-msgstr "Sélecteur de média"
-
-msgid "Link to an entry"
-msgstr "Lien vers une entrée"
-
-msgid "Remove text formating"
-msgstr "Retirer le formatage du texte"
 
 msgid "Temporarily activate enhanced uploader"
@@ -3142,4 +3075,35 @@
 msgstr "Super administrateur"
 
+#, php-format
+msgid "ratio %.1f"
+msgstr "ratio %.1f"
+
+#, php-format
+msgid "(%s)"
+msgstr "(%s)"
+
+msgid "The 'public' directory does not exist."
+msgstr "Le répertoire 'public' n'existe pas."
+
+#, php-format
+msgid "The '%s' directory cannot be modified."
+msgstr "Le répertoire %s ne peut pas être modifié."
+
+msgid "At least one of the following functions is not available: imagecreatetruecolor, imagepng & imagecreatefrompng."
+msgstr "Au moins une des fonctions suivantes n'est pas disponible : imagecreatetruecolor, imagepng & imagecreatefrompng."
+
+msgid "Unable to create images."
+msgstr "Impossible de créer des images."
+
+msgid "Invalid file type."
+msgstr "Type de fichier invalide."
+
+msgid "An error occurred while writing the file."
+msgstr "Une erreur est survenue pendant l'écriture du fichier."
+
+#, php-format
+msgid "Uploaded image is not %s pixels wide."
+msgstr "L'image envoyée n'a pas %s pixels de large."
+
 msgid "Database error"
 msgstr "Erreur de base de données"
@@ -3164,5 +3128,5 @@
 
 msgid "thumbnail"
-msgstr "vignettes"
+msgstr "vignette"
 
 msgid "square"
@@ -3553,4 +3517,7 @@
 msgstr "Impossible d'écrire le fichier."
 
+msgid "A PHP extension stopped the file upload."
+msgstr "Une extension PHP a arrêté l'envoi du fichier."
+
 #, php-format
 msgid "%s is not a directory."
@@ -3590,7 +3557,4 @@
 msgstr "Impossible d'écrire dans ce répertoire."
 
-msgid "An error occurred while writing the file."
-msgstr "Une erreur est survenue pendant l'écriture du fichier."
-
 msgid "Source file does not exist."
 msgstr "Le fichier source n'existe pas."
@@ -3617,8 +3581,19 @@
 msgstr "Mémoire insuffisante pour ouvrir l'image."
 
+#, php-format
+msgid "Did not find closing tag for block <tpl:%s>. Content has been ignored."
+msgstr "Impossible de trouver la balise de fermeture pour le bloc <tpl:%s>. Le contenu a été ignoré."
+
+#, php-format
+msgid "Unexpected closing tag </tpl:%s> found."
+msgstr "Balise de fermeture <tpl:%s> inattendue trouvée."
+
+msgid "WARNING: the following errors have been found while parsing template file :"
+msgstr "ATTENTION: Les erreurs suivantes ont été rencontrées lors du parcours du fichier de template :"
+
 msgid "singular"
 msgid_plural "plural"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "singulier"
+msgstr[1] "puriel"
 
 #, php-format
@@ -3667,27 +3642,96 @@
 msgstr "L'erreur suivante a été rencontrée lors de la tentative d'accès à la base de données :"
 
-msgid "Choose an editor"
-msgstr "Choisissez un éditeur"
-
-msgid "your preferences"
-msgstr "vos préférences"
-
-msgid "Choose date"
-msgstr "Choisir une date"
-
-msgid "Blog security"
-msgstr "Sécurité du blog"
-
-msgid "Protect the blog from Clickjacking (see <a href=\"https://en.wikipedia.org/wiki/Clickjacking\">Wikipedia</a>)"
-msgstr "Protéger le blog des détournements de clic ou Clickjacking (voir <a href=\"https://fr.wikipedia.org/wiki/Clickjacking\">Wikipedia</a>)"
-
-msgid "Do not display date if alone in title"
-msgstr "Ne pas afficher la date si elle est seule dans le titre"
-
-msgid "jQuery javascript library"
-msgstr "Librairie javascript jQuery"
-
-msgid "jQuery version to be loaded for this blog:"
-msgstr "Version de la librairie jQuery à charger pour ce blog :"
+#~ msgid "visual"
+#~ msgstr "visuel"
+
+#~ msgid "source"
+#~ msgstr "source"
+
+#~ msgid "You can use the following shortcuts to format your text."
+#~ msgstr "Vous pouvez utiliser les raccourcis suivants pour formater votre texte."
+
+#~ msgid "-- none --"
+#~ msgstr "-- aucun --"
+
+#~ msgid "-- block format --"
+#~ msgstr "-- format bloc --"
+
+#~ msgid "Paragraph"
+#~ msgstr "Paragraphe"
+
+#~ msgid "Level 1 header"
+#~ msgstr "Titre de niveau 1"
+
+#~ msgid "Level 2 header"
+#~ msgstr "Titre de niveau 2"
+
+#~ msgid "Level 3 header"
+#~ msgstr "Titre de niveau 3"
+
+#~ msgid "Level 4 header"
+#~ msgstr "Titre de niveau 4"
+
+#~ msgid "Level 5 header"
+#~ msgstr "Titre de niveau 5"
+
+#~ msgid "Level 6 header"
+#~ msgstr "Titre de niveau 6"
+
+#~ msgid "Strong emphasis"
+#~ msgstr "Forte emphase"
+
+#~ msgid "Emphasis"
+#~ msgstr "Emphase"
+
+#~ msgid "Inserted"
+#~ msgstr "Insertion"
+
+#~ msgid "Deleted"
+#~ msgstr "Suppression"
+
+#~ msgid "Inline quote"
+#~ msgstr "Citation en ligne"
+
+#~ msgid "Code"
+#~ msgstr "Code"
+
+#~ msgid "Line break"
+#~ msgstr "Passage à la ligne"
+
+#~ msgid "Blockquote"
+#~ msgstr "Bloc de citation"
+
+#~ msgid "Preformated text"
+#~ msgstr "Texte préformaté"
+
+#~ msgid "Unordered list"
+#~ msgstr "Liste à puces"
+
+#~ msgid "Ordered list"
+#~ msgstr "Liste numérotée"
+
+#~ msgid "Link"
+#~ msgstr "Lien"
+
+#~ msgid "URL?"
+#~ msgstr "URL ?"
+
+#~ msgid "Language?"
+#~ msgstr "Langue ?"
+
+#~ msgid "External image"
+#~ msgstr "Image externe"
+
+#~ msgid "Media chooser"
+#~ msgstr "Sélecteur de média"
+
+#~ msgid "Link to an entry"
+#~ msgstr "Lien vers une entrée"
+
+#~ msgid "Remove text formating"
+#~ msgstr "Retirer le formatage du texte"
+
+#~ msgid "your preferences"
+#~ msgstr "vos préférences"
 
 #~ msgid "You don't have permissions to deactivate this plugin."