Index: locales/ru/main.po
===================================================================
--- locales/ru/main.po	(revision 221)
+++ locales/ru/main.po	(revision 255)
@@ -8,5 +8,5 @@
 "Project-Id-Version: main\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2011-05-08 18:35+0200\n"
+"POT-Creation-Date: 2011-05-12 21:09+0200\n"
 "PO-Revision-Date: 2011-04-12 17:48+0200\n"
 "Last-Translator: Ihar <chi27@open.by>\n"
@@ -1805,4 +1805,14 @@
 msgstr "Активировать режим WYSIWYG"
 
+#, fuzzy
+msgid "Activate enhanced uploader in media manager"
+msgstr "Активировать улучшенный аплоадер"
+
+msgid "Do not use standard favicon"
+msgstr ""
+
+msgid "This will be applied for all users"
+msgstr ""
+
 msgid "Accessibility options"
 msgstr ""
@@ -2174,4 +2184,7 @@
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr "Вы не сохранили изменения. Переключение формата поста  приведет к потере этих изменений. Продолжить?"
+
+msgid "Loading enhanced uploader, please wait."
+msgstr ""
 
 msgid "You have unsaved changes."
Index: locales/ru/plugins.po
===================================================================
--- locales/ru/plugins.po	(revision 221)
+++ locales/ru/plugins.po	(revision 255)
@@ -6,5 +6,5 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2011-05-08 18:35+0200\n"
+"POT-Creation-Date: 2011-05-12 21:09+0200\n"
 "PO-Revision-Date: \n"
 "Last-Translator: Ihar <chi27@open.by>\n"
@@ -235,164 +235,164 @@
 msgstr "Конфигурация фильтра"
 
-msgid "Syndication"
-msgstr "Ленты новостей"
-
-msgid "Junk comments RSS feed"
-msgstr "RSS спам комментариев"
-
-msgid "Published comments RSS feed"
-msgstr "RSS опубликованных комментариев"
-
-msgid "manage blogroll"
-msgstr "управление ссылками"
-
-msgid "Links"
-msgstr "Ссылки"
-
-msgid "All categories"
-msgstr "Все категории"
-
-msgid "Home page only"
-msgstr "Долько домашняя страница"
-
-msgid "You must provide a link title"
-msgstr "Вы должны указать текст ссылки"
-
-msgid "You must provide a link URL"
-msgstr "Необходимо указать URL ссылки"
-
-msgid "You need to provide a XBEL or OPML file."
-msgstr "Необходимо предоставить XBEL или OPML файл."
-
-msgid "File is not in XML format."
-msgstr "Файл не в формате XML."
-
-msgid "No such link or title"
-msgstr "Нет такой ссылки ли заголовка"
-
-msgid "Return to blogroll"
-msgstr "Вернуться в блогролл"
-
-msgid "Category has been successfully updated"
-msgstr "Категория была успешно удалена"
-
-msgid "Edit category"
-msgstr "Редактировать категорию"
-
-msgid "Link has been successfully updated"
-msgstr "Ссылка была успешно обновлена"
-
-msgid "Edit link"
-msgstr "Редактировать ссылку"
-
-msgid "XFN"
-msgstr "XFN"
-
-msgid "_xfn_Me"
-msgstr "Мне"
-
-msgid "_xfn_Another link for myself"
-msgstr "Другую ссылку для меня"
-
-msgid "_xfn_Friendship"
-msgstr "Дружба"
-
-msgid "_xfn_Contact"
-msgstr "Контакт"
-
-msgid "_xfn_Acquaintance"
-msgstr "Знакомство"
-
-msgid "_xfn_Friend"
-msgstr "Друг(подруга)"
-
-msgid "_xfn_Physical"
-msgstr "Материальный"
-
-msgid "_xfn_Met"
-msgstr "Встретить"
-
-msgid "_xfn_Professional"
-msgstr "Профессионал"
-
-msgid "_xfn_Co-worker"
-msgstr "Товарищ по работе"
-
-msgid "_xfn_Colleague"
-msgstr "Коллега"
-
-msgid "_xfn_Geographical"
-msgstr "Георгафический"
-
-msgid "_xfn_Co-resident"
-msgstr "Сожитель"
-
-msgid "_xfn_Neighbor"
-msgstr "Сосед"
-
-msgid "_xfn_Family"
-msgstr "Семья"
-
-msgid "_xfn_Child"
-msgstr "Ребенок"
-
-msgid "_xfn_Parent"
-msgstr "Родитель"
-
-msgid "_xfn_Sibling"
-msgstr "Брат/Сестра"
-
-msgid "_xfn_Spouse"
-msgstr "Супруг/Супруга"
-
-msgid "_xfn_Kin"
-msgstr "Семья"
-
-msgid "_xfn_Romantic"
-msgstr "Романтика"
-
-msgid "_xfn_Muse"
-msgstr "Муза"
-
-msgid "_xfn_Crush"
-msgstr "Страсть"
-
-msgid "_xfn_Date"
-msgstr "Свидание"
-
-msgid "_xfn_Sweetheart"
-msgstr "Подруга"
-
-msgid "Nothing to import"
-msgstr "Нечего импортировать"
-
-msgid "Import operation cancelled."
-msgstr "Импортирование отменено."
-
-msgid "Items order has been successfully updated"
-msgstr "Порядок элементов успешно обновлен"
-
-msgid "Items have been successfully removed."
-msgstr "Элементы успешно удалены."
-
-msgid "Link has been successfully created."
-msgstr "Ссылка успешно создана."
-
-msgid "category has been successfully created."
-msgstr "Категория успешно обновлена."
-
-msgid "links have been successfully imported."
-msgstr "Ссылки были успешно импортированы."
-
-msgid "URL"
-msgstr "URL"
-
-msgid "Lang"
-msgstr "Язык"
-
 #, fuzzy
 msgid "position"
 msgstr "Позиция страницы"
 
+msgid "Syndication"
+msgstr "Ленты новостей"
+
+msgid "Junk comments RSS feed"
+msgstr "RSS спам комментариев"
+
+msgid "Published comments RSS feed"
+msgstr "RSS опубликованных комментариев"
+
+msgid "manage blogroll"
+msgstr "управление ссылками"
+
+msgid "Links"
+msgstr "Ссылки"
+
+msgid "All categories"
+msgstr "Все категории"
+
+msgid "Home page only"
+msgstr "Долько домашняя страница"
+
+msgid "You must provide a link title"
+msgstr "Вы должны указать текст ссылки"
+
+msgid "You must provide a link URL"
+msgstr "Необходимо указать URL ссылки"
+
+msgid "You need to provide a XBEL or OPML file."
+msgstr "Необходимо предоставить XBEL или OPML файл."
+
+msgid "File is not in XML format."
+msgstr "Файл не в формате XML."
+
+msgid "No such link or title"
+msgstr "Нет такой ссылки ли заголовка"
+
+msgid "Return to blogroll"
+msgstr "Вернуться в блогролл"
+
+msgid "Category has been successfully updated"
+msgstr "Категория была успешно удалена"
+
+msgid "Edit category"
+msgstr "Редактировать категорию"
+
+msgid "Link has been successfully updated"
+msgstr "Ссылка была успешно обновлена"
+
+msgid "Edit link"
+msgstr "Редактировать ссылку"
+
+msgid "XFN"
+msgstr "XFN"
+
+msgid "_xfn_Me"
+msgstr "Мне"
+
+msgid "_xfn_Another link for myself"
+msgstr "Другую ссылку для меня"
+
+msgid "_xfn_Friendship"
+msgstr "Дружба"
+
+msgid "_xfn_Contact"
+msgstr "Контакт"
+
+msgid "_xfn_Acquaintance"
+msgstr "Знакомство"
+
+msgid "_xfn_Friend"
+msgstr "Друг(подруга)"
+
+msgid "_xfn_Physical"
+msgstr "Материальный"
+
+msgid "_xfn_Met"
+msgstr "Встретить"
+
+msgid "_xfn_Professional"
+msgstr "Профессионал"
+
+msgid "_xfn_Co-worker"
+msgstr "Товарищ по работе"
+
+msgid "_xfn_Colleague"
+msgstr "Коллега"
+
+msgid "_xfn_Geographical"
+msgstr "Георгафический"
+
+msgid "_xfn_Co-resident"
+msgstr "Сожитель"
+
+msgid "_xfn_Neighbor"
+msgstr "Сосед"
+
+msgid "_xfn_Family"
+msgstr "Семья"
+
+msgid "_xfn_Child"
+msgstr "Ребенок"
+
+msgid "_xfn_Parent"
+msgstr "Родитель"
+
+msgid "_xfn_Sibling"
+msgstr "Брат/Сестра"
+
+msgid "_xfn_Spouse"
+msgstr "Супруг/Супруга"
+
+msgid "_xfn_Kin"
+msgstr "Семья"
+
+msgid "_xfn_Romantic"
+msgstr "Романтика"
+
+msgid "_xfn_Muse"
+msgstr "Муза"
+
+msgid "_xfn_Crush"
+msgstr "Страсть"
+
+msgid "_xfn_Date"
+msgstr "Свидание"
+
+msgid "_xfn_Sweetheart"
+msgstr "Подруга"
+
+msgid "Nothing to import"
+msgstr "Нечего импортировать"
+
+msgid "Import operation cancelled."
+msgstr "Импортирование отменено."
+
+msgid "Items order has been successfully updated"
+msgstr "Порядок элементов успешно обновлен"
+
+msgid "Items have been successfully removed."
+msgstr "Элементы успешно удалены."
+
+msgid "Link has been successfully created."
+msgstr "Ссылка успешно создана."
+
+msgid "category has been successfully created."
+msgstr "Категория успешно обновлена."
+
+msgid "links have been successfully imported."
+msgstr "Ссылки были успешно импортированы."
+
+msgid "URL"
+msgstr "URL"
+
+msgid "Lang"
+msgstr "Язык"
+
 #, fuzzy
 msgid "select this link"