Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2847)
+++ admin/post.php	(revision 2849)
@@ -41,6 +41,6 @@
 $can_delete = false;
 
-$post_headlink = '<link rel="%s" title="%s" href="'.$core->adminurl->decode('admin.post',array('id' => "%s"),'&').'" />';
-$post_link = '<a href="'.$core->adminurl->decode('admin.post',array('id' => "%s"),'&').'" title="%s">%s</a>';
+$post_headlink = '<link rel="%s" title="%s" href="'.$core->adminurl->get('admin.post',array('id' => "%s"),false,'&').'" />';
+$post_link = '<a href="'.$core->adminurl->get('admin.post',array('id' => "%s"),false,'&').'" title="%s">%s</a>';
 
 $next_link = $prev_link = $next_headlink = $prev_headlink = null;
Index: inc/admin/lib.dc.adminurl.php
===================================================================
--- inc/admin/lib.dc.adminurl.php	(revision 2822)
+++ inc/admin/lib.dc.adminurl.php	(revision 2849)
@@ -71,11 +71,17 @@
 	 * @param  string $name      URL Name
 	 * @param  array  $params    query string parameters, given as an associative array
+	 * @param  boolean $urlencode set to true if url may not be encoded
 	 * @param  string $separator separator to use between QS parameters
 	 * @return string            the forged url
 	 */
-	public function get($name,$params=array(),$separator='&amp;')
+	public function get($name,$params=array(),$urlencode=true,$separator='&amp;')
 	{
 		if (!isset($this->urls[$name])) {
 			throw new exception ('Unknown URL handler for '.$name);
+		}
+		// compatibility check for old behavior
+		if (!is_bool($urlencode)) {
+			$separator=$urlencode;
+			$urlencode = true;
 		}
 		$url = $this->urls[$name];
@@ -85,9 +91,11 @@
 			$u .= '?'.http_build_query($p,'',$separator);
 		}
-		return $u;
+		return $urlencode?$u:urldecode($u);
 	}
 
 	/**
 	 * retrieves a URL (decoded — useful for echoing) given its name, and optional parameters
+	 *
+	 * @deprecated should use get(...,true,...) instead
 	 *
 	 * @param  string $name      URL Name
@@ -98,5 +106,5 @@
 	public function decode($name,$params=array(),$separator='&')
 	{
-		return urldecode($this->get($name,$params,$separator));
+		return urldecode($this->get($name,$params,false,$separator));
 	}
 
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 2817)
+++ inc/admin/lib.dc.page.php	(revision 2849)
@@ -925,3 +925,7 @@
 		'<script type="text/javascript" src="js/meta-editor.js"></script>';
 	}
+
+	public static function getPF($file) {
+		return $GLOBALS['core']->adminurl->get('load.plugin.file',array('pf' => $file),false);
+	}
 }
Index: inc/admin/lib.moduleslist.php
===================================================================
--- inc/admin/lib.moduleslist.php	(revision 2817)
+++ inc/admin/lib.moduleslist.php	(revision 2849)
@@ -621,5 +621,5 @@
 					'<img alt="%1$s" title="%1$s" src="%2$s" />',
 					html::escapeHTML($id), file_exists($module['root'].'/icon.png') ?
-					$this->core->adminurl->decode('load.plugin.file',array('pf' => $id.'/icon.png')) : 'images/module.png'
+					dcPage::getPF($id.'/icon.png') : 'images/module.png'
 				).'</td>';
 			}
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 2817)
+++ inc/admin/lib.pager.php	(revision 2849)
@@ -214,5 +214,5 @@
 	{
 		if ($this->core->auth->check('categories',$this->core->blog->id)) {
-			$cat_link = '<a href="'.$this->core->adminurl->decode('admin.category',array('id' => '%s')).'">%s</a>';
+			$cat_link = '<a href="'.$this->core->adminurl->get('admin.category',array('id' => '%s'),false).'">%s</a>';
 		} else {
 			$cat_link = '%2$s';
Index: plugins/aboutConfig/_admin.php
===================================================================
--- plugins/aboutConfig/_admin.php	(revision 2823)
+++ plugins/aboutConfig/_admin.php	(revision 2849)
@@ -14,5 +14,5 @@
 $_menu['System']->addItem('about:config',
 	$core->adminurl->get('admin.plugin.aboutConfig'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'aboutConfig/icon.png')),
+	dcPage::getPF('aboutConfig/icon.png'),
 	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.aboutConfig')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
 	$core->auth->isSuperAdmin());
Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 2823)
+++ plugins/antispam/_admin.php	(revision 2849)
@@ -18,5 +18,5 @@
 $_menu['Plugins']->addItem(__('Antispam'),
 	$core->adminurl->get('admin.plugin.antispam'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'antispam/icon.png')),
+	dcPage::getPF('antispam/icon.png'),
 	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.antispam')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
 	$core->auth->check('admin',$core->blog->id));
@@ -34,6 +34,6 @@
 		'title' => __('Antispam'),
 		'url' => $core->adminurl->get('admin.plugin.antispam'),
-		'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'antispam/icon.png')),
-		'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'antispam/icon-big.png')),
+		'small-icon' => dcPage::getPF('antispam/icon.png'),
+		'large-icon' => dcPage::getPF('antispam/icon-big.png'),
 		'permissions' => 'admin')
 	);
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 2823)
+++ plugins/antispam/index.php	(revision 2849)
@@ -118,8 +118,8 @@
 		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
 		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
-		dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'antispam/antispam.js')));
+		dcPage::jsLoad(dcPage::getPF('antispam/antispam.js'));
   }
   ?>
-  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'antispam/style.css')); ?>" />
+  <link rel="stylesheet" type="text/css" href="<?php echo dcPage::getPF('antispam/style.css'); ?>" />
 </head>
 <body>
Index: plugins/attachments/_admin.php
===================================================================
--- plugins/attachments/_admin.php	(revision 2823)
+++ plugins/attachments/_admin.php	(revision 2849)
@@ -40,5 +40,5 @@
 		$core =& $GLOBALS['core'];
 		return
-		'<script type="text/javascript" src="'.$core->adminurl->decode('load.plugin.file',array('pf' => 'attachments/js/post.js')).'"></script>';
+		'<script type="text/javascript" src="'.dcPage::getPF('attachments/js/post.js').'"></script>';
 	}
 	public static function adminPostFormItems($main,$sidebar,$post)
Index: plugins/blogroll/_admin.php
===================================================================
--- plugins/blogroll/_admin.php	(revision 2824)
+++ plugins/blogroll/_admin.php	(revision 2849)
@@ -21,5 +21,5 @@
 		__('Blogroll'),
 		$core->adminurl->get('admin.plugin.blogroll'),
-		$core->adminurl->decode('load.plugin.file',array('pf' => 'blogroll/icon.png'))
+		dcPage::getPF('blogroll/icon.png')
 		));
 }
@@ -29,6 +29,6 @@
 		'title' => __('Blogroll'),
 		'url' => $core->adminurl->get('admin.plugin.blogroll'),
-		'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'blogroll/icon-small.png')),
-		'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'blogroll/icon.png')),
+		'small-icon' => dcPage::getPF('blogroll/icon-small.png'),
+		'large-icon' => dcPage::getPF('blogroll/icon.png'),
 		'permissions' => 'usage,contentadmin'
 	));
@@ -38,10 +38,10 @@
 	global $core;
 
-	return dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'blogroll/_users_actions.js')));
+	return dcPage::jsLoad(dcPage::getPF('blogroll/_users_actions.js'));
 }
 
 $_menu['Blog']->addItem(__('Blogroll'),
 	$core->adminurl->get('admin.plugin.blogroll'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'blogroll/icon-small.png')),
+	dcPage::getPF('blogroll/icon-small.png'),
     preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.blogroll')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
     $core->auth->check('usage,contentadmin',$core->blog->id));
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 2824)
+++ plugins/blogroll/index.php	(revision 2849)
@@ -178,5 +178,5 @@
 		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
 		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
-		dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'blogroll/blogroll.js')));
+		dcPage::jsLoad(dcPage::getPF('blogroll/blogroll.js'));
 	}
   ?>
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 2824)
+++ plugins/blowupConfig/index.php	(revision 2849)
@@ -212,5 +212,5 @@
 <head>
   <title><?php echo __('Blowup configuration'); ?></title>
-  <?php echo dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'blowupConfig/config.js'))); ?>
+  <?php echo dcPage::jsLoad(dcPage::getPF('blowupConfig/config.js')); ?>
   <?php echo dcPage::jsColorPicker(); ?>
   <script type="text/javascript">
@@ -312,6 +312,5 @@
 		$preview_image = http::concatURL($core->blog->url,blowupConfig::imagesURL().'/page-t.png');
 	} else {
-		$preview_image = $core->adminurl->decode('load.plugin.file',
-			array('pf' => 'blowupConfig/alpha-img/page-t/'.$blowup_user['top_image'].'.png'));
+		$preview_image = dcPage::getPF('blowupConfig/alpha-img/page-t/'.$blowup_user['top_image'].'.png');
 	}
 
Index: plugins/dcCKEditor/_admin.php
===================================================================
--- plugins/dcCKEditor/_admin.php	(revision 2825)
+++ plugins/dcCKEditor/_admin.php	(revision 2849)
@@ -15,5 +15,5 @@
 $_menu['Plugins']->addItem('dcCKEditor',
 	$core->adminurl->get('admin.plugin.dcCKEditor'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'dcCKEditor/imgs/icon.png')),
+	dcPage::getPF('dcCKEditor/imgs/icon.png'),
 	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.dcCKEditor')).'/', $_SERVER['REQUEST_URI']),
 	$core->auth->check('admin,contentadmin', $core->blog->id)
Index: plugins/dcLegacyEditor/_admin.php
===================================================================
--- plugins/dcLegacyEditor/_admin.php	(revision 2825)
+++ plugins/dcLegacyEditor/_admin.php	(revision 2849)
@@ -15,5 +15,5 @@
 $_menu['Plugins']->addItem('dcLegacyEditor',
 	$core->adminurl->get('admin.plugin.dcLegacyEditor'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'dcLegacyEditor/icon.png')),
+	dcPage::getPF('dcLegacyEditor/icon.png'),
 	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.dcLegacyEditor')).'/', $_SERVER['REQUEST_URI']),
 	$core->auth->check('admin,contentadmin', $core->blog->id)
Index: plugins/importExport/_admin.php
===================================================================
--- plugins/importExport/_admin.php	(revision 2825)
+++ plugins/importExport/_admin.php	(revision 2849)
@@ -15,5 +15,5 @@
 	__('Import/Export'),
 	$core->adminurl->get('admin.plugin.importExport'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'importExport/icon.png')),
+	dcPage::getPF('importExport/icon.png'),
 	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.importExport')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
 	$core->auth->check('admin',$core->blog->id)
@@ -27,6 +27,6 @@
 		'title' => __('Import/Export'),
 		'url' => $core->adminurl->get('admin.plugin.importExport'),
-		'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'importExport/icon.png')),
-		'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'importExport/icon-big.png')),
+		'small-icon' => dcPage::getPF('importExport/icon.png'),
+		'large-icon' => dcPage::getPF('importExport/icon-big.png'),
 		'permissions' => 'admin'
 	));
Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 2837)
+++ plugins/importExport/index.php	(revision 2849)
@@ -63,6 +63,6 @@
 <head>
 	<title>'.$title.'</title>
-	<link rel="stylesheet" type="text/css" href="'.$core->adminurl->decode('load.plugin.file',array('pf' => 'importExport/style.css')).'" />
-	'.dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'importExport/js/script.js'))).'
+	<link rel="stylesheet" type="text/css" href="'.dcPage::getPF('importExport/style.css').'" />
+	'.dcPage::jsLoad(dcPage::getPF('importExport/js/script.js')).'
 	<script type="text/javascript">
 	//<![CDATA[
@@ -103,5 +103,5 @@
 	'<p class="info">'.sprintf(
 		__('Export functions are in the page %s.'),
-		'<a href="'.$core->adminurl->decode('admin.plugin.maintenance',array('tab' => 'backup')).'#backup">'.__('Maintenance').'</a>'
+		'<a href="'.$core->adminurl->get('admin.plugin.maintenance',array('tab' => 'backup'),false).'#backup">'.__('Maintenance').'</a>'
 	).'</p>';
 }
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 2825)
+++ plugins/maintenance/_admin.php	(revision 2849)
@@ -16,5 +16,5 @@
 	__('Maintenance'),
 	$core->adminurl->get('admin.plugin.maintenance'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/icon.png')),
+	dcPage::getPF('maintenance/icon.png'),
 	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.maintenance')).'(&.*)?$/', $_SERVER['REQUEST_URI']),
 	$core->auth->check('admin', $core->blog->id)
@@ -83,6 +83,6 @@
 			'title' => __('Maintenance'),
 			'url' => $core->adminurl->get('admin.plugin.maintenance'),
-			'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/icon.png')),
-			'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/icon-big.png')),
+			'small-icon' => dcPage::getPF('maintenance/icon.png'),
+			'large-icon' => dcPage::getPF('maintenance/icon-big.png'),
 			'permissions' => 'admin',
 			'active_cb' => array('dcMaintenanceAdmin', 'adminDashboardFavoritesActive'),
@@ -134,5 +134,5 @@
 
 		$fav['title'] .= '<br />'.sprintf(__('One task to execute', '%s tasks to execute', $count), $count);
-		$fav['large-icon'] =$core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/icon-big-update.png'));
+		$fav['large-icon'] = dcPage::getPF('maintenance/icon-big-update.png');
 	}
 
@@ -177,5 +177,5 @@
 		$items[] = new ArrayObject(array(
 			'<div id="maintenance-expired" class="box small">'.
-			'<h3><img src="'.$core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/icon-small.png')).'" alt="" /> '.__('Maintenance').'</h3>'.
+			'<h3><img src="'.dcPage::getPF('maintenance/icon-small.png').'" alt="" /> '.__('Maintenance').'</h3>'.
 			'<p class="warning no-margin">'.sprintf(__('There is a task to execute.', 'There are %s tasks to execute.', count($lines)), count($lines)).'</p>'.
 			'<ul>'.implode('',$lines).'</ul>'.
@@ -310,5 +310,5 @@
 	{
 		if ($module == 'maintenance') {
-			return dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/js/settings.js')));
+			return dcPage::jsLoad(dcPage::getPF('maintenance/js/settings.js'));
 		}
 	}
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 2825)
+++ plugins/maintenance/index.php	(revision 2849)
@@ -117,5 +117,5 @@
 <title>'.__('Maintenance').'</title>'.
 dcPage::jsPageTabs($tab).
-dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/js/settings.js')));
+dcPage::jsLoad(dcPage::getPF('maintenance/js/settings.js'));
 
 if ($task && $task->ajax()) {
@@ -126,5 +126,5 @@
 	"//]]>\n".
 	'</script>'.
-	dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'maintenance/js/dc.maintenance.js')));
+	dcPage::jsLoad(dcPage::getPF('maintenance/js/dc.maintenance.js'));
 }
 
Index: plugins/pages/_admin.php
===================================================================
--- plugins/pages/_admin.php	(revision 2825)
+++ plugins/pages/_admin.php	(revision 2849)
@@ -22,6 +22,6 @@
 			'title' => __('Pages'),
 			'url' => $core->adminurl->get('admin.plugin.pages'),
-			'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'pages/icon.png')),
-			'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'pages/icon-big.png')),
+			'small-icon' => dcPage::getPF('pages/icon.png'),
+			'large-icon' => dcPage::getPF('pages/icon-big.png'),
 			'permissions' => 'contentadmin,pages',
 			'dashboard_cb' => array('pagesDashboard','pagesDashboardCB'),
@@ -31,6 +31,6 @@
 			'title' => __('New page'),
 			'url' => $core->adminurl->get('admin.plugin.pages',array('act' => 'page')),
-			'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'pages/icon-np.png')),
-			'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'pages/icon-np-big.png')),
+			'small-icon' => dcPage::getPF('pages/icon-np.png'),
+			'large-icon' => dcPage::getPF( 'pages/icon-np-big.png'),
 			'permissions' => 'contentadmin,pages',
 			'active_cb' => array('pagesDashboard','newPageActiveCB')
@@ -72,5 +72,5 @@
 $_menu['Blog']->addItem(__('Pages'),
 	$core->adminurl->get('admin.plugin.pages'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'pages/icon.png')),
+	dcPage::getPF('pages/icon.png'),
 	preg_match('/plugin.php(.*)$/',$_SERVER['REQUEST_URI']) && !empty($_REQUEST['p']) && $_REQUEST['p']=='pages',
 	$core->auth->check('contentadmin,pages',$core->blog->id));
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 2825)
+++ plugins/pages/list.php	(revision 2849)
@@ -58,5 +58,5 @@
   		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
 		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
-		dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'pages/list.js'))).
+		dcPage::jsLoad(dcPage::getPF('pages/list.js')).
 		'<script type="text/javascript">'.
 		"\n".'//<![CDATA['."\n".
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2825)
+++ plugins/pages/page.php	(revision 2849)
@@ -710,5 +710,5 @@
 	while($rs->fetch())
 	{
-		$comment_url = $core->adminurl->decode('admin.comment',array('id' => $rs->comment_id));
+		$comment_url = $core->adminurl->get('admin.comment',array('id' => $rs->comment_id),false);
 
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
@@ -736,5 +736,5 @@
 		'<td class="maximal">'.$rs->comment_author.'</td>'.
 		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$rs->comment_dt).'</td>'.
-		'<td class="nowrap"><a href="'.$core->adminurl->decode('admin.comment',array('ip' => $rs->comment_ip)).'">'.$rs->comment_ip.'</a></td>'.
+		'<td class="nowrap"><a href="'.$core->adminurl->get('admin.comment',array('ip' => $rs->comment_ip),false).'">'.$rs->comment_ip.'</a></td>'.
 		'<td class="nowrap status">'.$img_status.'</td>'.
 		'<td class="nowrap status"><a href="'.$comment_url.'">'.
Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 2820)
+++ plugins/pings/_admin.php	(revision 2849)
@@ -14,5 +14,5 @@
 $_menu['Blog']->addItem(__('Pings'),
 		$core->adminurl->get('admin.plugin.pings'),
-		$core->adminurl->decode('load.plugin.file',array('pf' => 'pings/icon.png')),
+		dcPage::getPF('pings/icon.png'),
 		preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.pings')).'/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
@@ -46,6 +46,6 @@
 		'title' => __('Pings'),
 		'url' => $core->adminurl->get('admin.plugin.pings'),
-		'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'pings/icon.png')),
-		'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'pings/icon-big.png')),
+		'small-icon' => dcPage::getPF('pings/icon.png'),
+		'large-icon' => dcPage::getPF('pings/icon-big.png'),
 	));
 }
Index: plugins/pings/lib.pings.php
===================================================================
--- plugins/pings/lib.pings.php	(revision 2825)
+++ plugins/pings/lib.pings.php	(revision 2849)
@@ -38,5 +38,5 @@
 		"<script type=\"text/javascript\">\n//<![CDATA[\n".
 		dcPage::jsVar('dotclear.msg.check_all',__('Check all'))."\n".
-		"</script>\n".dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'pings/post.js')));
+		"</script>\n".dcPage::jsLoad(dcPage::getPF('pings/post.js'));
 
 		return $res;
Index: plugins/simpleMenu/_admin.php
===================================================================
--- plugins/simpleMenu/_admin.php	(revision 2820)
+++ plugins/simpleMenu/_admin.php	(revision 2849)
@@ -18,5 +18,5 @@
 	$icons['simpleMenu'] = new ArrayObject(array(__('Simple menu'),
 		$core->adminurl->get('admin.plugin.simpleMenu'),
-		$core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon.png'))));
+		dcPage::getPF('simpleMenu/icon.png')));
 }
 function simpleMenu_dashboard_favs($core,$favs)
@@ -25,6 +25,6 @@
 		'title' => __('Simple menu'),
 		'url' => $core->adminurl->get('admin.plugin.simpleMenu'),
-		'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon-small.png')),
-		'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon.png')),
+		'small-icon' => dcPage::getPF('simpleMenu/icon-small.png'),
+		'large-icon' => dcPage::getPF('simpleMenu/icon.png'),
 		'permissions' => 'usage,contentadmin'
 	));
@@ -33,5 +33,5 @@
 $_menu['Blog']->addItem(__('Simple menu'),
 	$core->adminurl->get('admin.plugin.simpleMenu'),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon-small.png')),
+	dcPage::getPF('simpleMenu/icon-small.png'),
     preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.simpleMenu')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
     $core->auth->check('usage,contentadmin',$core->blog->id));
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2820)
+++ plugins/simpleMenu/index.php	(revision 2849)
@@ -371,5 +371,5 @@
 				dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
 				dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
-				dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/simplemenu.js')));
+				dcPage::jsLoad(dcPage::getPF('simpleMenu/simplemenu.js'));
 		}
 		echo dcPage::jsConfirmClose('settings','menuitemsappend','additem','menuitems');
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 2836)
+++ plugins/tags/_admin.php	(revision 2849)
@@ -14,5 +14,5 @@
 $_menu['Blog']->addItem(__('Tags'),
 	$core->adminurl->get('admin.plugin.tags',array('m' => 'tags')),
-	$core->adminurl->decode('load.plugin.file',array('pf' => 'tags/icon.png')),
+	dcPage::getPF('tags/icon.png'),
 	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.tags')).'&m=tag(s|_posts)?(&.*)?$/',$_SERVER['REQUEST_URI']),
 	$core->auth->check('usage,contentadmin',$core->blog->id));
@@ -81,6 +81,6 @@
 			'title' => __('Tags'),
 			'url' => $core->adminurl->get('admin.plugin.tags',array('m' => 'tags')),
-			'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'tags/icon.png')),
-			'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'tags/icon-big.png')),
+			'small-icon' => dcPage::getPF('tags/icon.png'),
+			'large-icon' => dcPage::getPF('tags/icon-big.png'),
 			'permissions' => 'usage,contentadmin'
 		));
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 2826)
+++ plugins/tags/tag_posts.php	(revision 2849)
@@ -73,5 +73,5 @@
 <head>
   <title><?php echo __('Tags'); ?></title>
-  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'tags/style.css')); ?>" />
+  <link rel="stylesheet" type="text/css" href="<?php echo dcPage::getPF('tags/style.css'); ?>" />
   <script type="text/javascript" src="js/_posts_list.js"></script>
   <script type="text/javascript">
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 2826)
+++ plugins/tags/tags.php	(revision 2849)
@@ -16,5 +16,5 @@
 <head>
   <title><?php echo __('Tags'); ?></title>
-  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'tags/style.css')); ?>" />
+  <link rel="stylesheet" type="text/css" href="<?php echo dcPage::getPF('tags/style.css'); ?>" />
 </head>
 
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 2815)
+++ plugins/themeEditor/index.php	(revision 2849)
@@ -70,5 +70,5 @@
 <head>
   <title><?php echo __('Edit theme files'); ?></title>
-  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/style.css')); ?>" />
+  <link rel="stylesheet" type="text/css" href="<?php echo dcPage::getPF('themeEditor/style.css'); ?>" />
   <script type="text/javascript">
   //<![CDATA[
@@ -81,15 +81,15 @@
   </script>
   <?php echo dcPage::jsConfirmClose('file-form'); ?>
-  <script type="text/javascript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/script.js')); ?>"></script>
+  <script type="text/javascript" src="<?php echo dcPage::getPF('themeEditor/script.js'); ?>"></script>
 <?php if ($user_ui_colorsyntax) { ?>
-  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/codemirror.css')); ?>" />
-  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror.css')); ?>" />
-  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/codemirror.js')); ?>"></script>
-  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/multiplex.js')); ?>"></script>
-  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/xml.js')); ?>"></script>
-  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/javascript.js')); ?>"></script>
-  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/css.js')); ?>"></script>
-  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/php.js')); ?>"></script>
-  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/htmlmixed.js')); ?>"></script>
+  <link rel="stylesheet" type="text/css" href="<?php echo dcPage::getPF( 'themeEditor/codemirror/codemirror.css'); ?>" />
+  <link rel="stylesheet" type="text/css" href="<?php echo dcPage::getPF( 'themeEditor/codemirror.css'); ?>" />
+  <script type="text/JavaScript" src="<?php echo dcPage::getPF('themeEditor/codemirror/codemirror.js'); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo dcPage::getPF('themeEditor/codemirror/multiplex.js'); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo dcPage::getPF('themeEditor/codemirror/xml.js'); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo dcPage::getPF('themeEditor/codemirror/javascript.js'); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo dcPage::getPF('themeEditor/codemirror/css.js'); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo dcPage::getPF('themeEditor/codemirror/php.js'); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo dcPage::getPF('themeEditor/codemirror/htmlmixed.js'); ?>"></script>
 <?php } ?>
 </head>
Index: plugins/userPref/_admin.php
===================================================================
--- plugins/userPref/_admin.php	(revision 2820)
+++ plugins/userPref/_admin.php	(revision 2849)
@@ -14,5 +14,5 @@
 $_menu['System']->addItem('user:preferences',
 		$core->adminurl->get('admin.plugin.userPref'),
-		$core->adminurl->decode('load.plugin.file',array('pf' => 'userPref/icon.png')),
+		dcPage::getPF('userPref/icon.png'),
 		preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.userPref')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
Index: plugins/widgets/_admin.php
===================================================================
--- plugins/widgets/_admin.php	(revision 2820)
+++ plugins/widgets/_admin.php	(revision 2849)
@@ -19,6 +19,6 @@
 		'title' => __('Presentation widgets'),
 		'url' => $core->adminurl->get('admin.plugin.widgets'),
-		'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'widgets/icon.png')),
-		'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'widgets/icon-big.png')),
+		'small-icon' => dcPage::getPF('widgets/icon.png'),
+		'large-icon' => dcPage::getPF('widgets/icon-big.png'),
 	));
 }
@@ -26,5 +26,5 @@
 $_menu['Blog']->addItem(__('Presentation widgets'),
 		$core->adminurl->get('admin.plugin.widgets'),
-		$core->adminurl->decode('load.plugin.file',array('pf' => 'widgets/icon.png')),
+		dcPage::getPF('widgets/icon.png'),
 		preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.widgets')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('admin',$core->blog->id));
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 2815)
+++ plugins/widgets/index.php	(revision 2849)
@@ -214,10 +214,10 @@
 <head>
   <title><?php echo __('Widgets'); ?></title>
-  <link type="text/css" rel="stylesheet" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'widgets/style.css')); ?>"/>
+  <link type="text/css" rel="stylesheet" href="<?php echo dcPage::getPF('widgets/style.css'); ?>"/>
   <?php
 		echo
 			dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
 			dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
-			dcPage::jsLoad($core->adminurl->decode('load.plugin.file',array('pf' => 'widgets/widgets.js')));
+			dcPage::jsLoad(dcPage::getPF('widgets/widgets.js'));
   ?>
   <?php
@@ -226,5 +226,5 @@
   ?>
   <?php if (!$user_dm_nodragdrop) : ?>
-  <script type="text/javascript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'widgets/dragdrop.js')); ?>"></script>
+  <script type="text/javascript" src="<?php echo dcPage::getPF('widgets/dragdrop.js'); ?>"></script>
   <?php endif; ?>
   <script type="text/javascript">